#include <iostream>
#include <vector>
using namespace std;

int main() {
    int n, l;
    cin >> n >> l;

    vector<int> v(n);
    for (int i = 0; i < n; i++) {
        cin >> v[i];
    }

    int rezultat = -1;
    bool o = false;

    for (int p = 0; p < n; p++) {
        if (v[p] <= l) {
            rezultat = p + 1; 
            o = true;
        }

        if (o) {
            break; 
        }
    }

    cout << rezultat << endl;
    return 0;
}